Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157818 - (GNOME login) "Could not look up internet address for ..." wont go away
Summary: (GNOME login) "Could not look up internet address for ..." wont go away
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-05-16 06:34 UTC by Warren Togami
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-20 20:56:33 UTC


Attachments (Terms of Use)

Description Warren Togami 2005-05-16 06:34:26 UTC
Warning
Could not look up internet address for ibmlaptop.
This will prevent GNOME from operating correctly.
It may be possible to correct the problem by adding ibmlaptop to the file
/etc/hosts.

[Login In Anyway] [Try Again]

I added 'ibmlaptop' to /etc/hosts and clicked 'Try Again'.  GNOME login worked
with the desktop fully loaded.

The warning window comes back and wont go away after hitting either the 'Log in
Anyway' or 'Try Again' buttons.  Killing is the only way to get rid of it.

Comment 1 Ray Strode [halfline] 2005-05-20 20:56:33 UTC
Hi Warren,

This is almost certainly a misconfiguration of your system.  

The real problem is the hostname as called by /bin/hostname doesn't mean much. 
It doesn't need to be externally resolvable, but it often has to be internally
resolvable (things like ORBit and X depend on it).  Really, since the hostname
only has significance to the local machine we shouldn't allow it to get into a
state where this dialog would pop up.  

Also, it's often displayed to the user so it should really be a user friendly
string.  This means just setting it to whatever the dhcp server says is probably
wrong.

Ideally we'd just ask users "what do you want to call your computer?" during
install, put an associated HOSTNAME= line in /etc/sysconfig/network and add a
line to /etc/hosts.  If sysadmins want to maintain a lab of machines that do
automatically get hostnames from dhcp then they can remove the line from
/etc/sysconfig/network manually or use system-config-network.




Note You need to log in before you can comment on or make changes to this bug.